### Method

# Gtk MapListModel set_model

#### Declaration [src]

    void
    gtk_map_list_model_set_model (
      GtkMapListModel* self,
      GListModel* model
    )

#### Description [src]

Sets the model to be mapped.

GTK makes no effort to ensure that `model` conforms to the item type expected by the map function. It assumes that the caller knows what they are doing and have set up an appropriate map function.

Sets property | `Gtk.MapListModel:model`

#### Parameters

`model`

  Type: `GObject`

  The model to be mapped.

  The argument can be `NULL`.
  The data is owned by the caller of the method.